{
  lib,
  fetchFromGitHub,
  rustPlatform,
}:
rustPlatform.buildRustPackage rec {
  pname = "git-credential-keepassxc";
  version = "0.10.0";

  src = fetchFromGitHub {
    owner = "frederick888";
    repo = pname;
    rev = "v${version}";
    sha256 = "sha256-BmjGxDqX8j/69Uo8jjWtcJcxNHxI7S5+eZQMApdybq0=";
  };

  cargoSha256 = "sha256-gXW08plJRE1Q6W+Dc2y+gu2R+KBRs3fBG1umdawDduA=";

  meta = with lib; {
    description = "Helper that allows Git (and shell scripts) to use KeePassXC as credential store";
    homepage = "https://github.com/frederick888/git-credential-keepassxc";
    license = licenses.gpl3Only;
    maintainers = [];
  };
}
